
QGIS Application - Feature request #5301

Save as image do not export text annotations

2012-04-04 02:47 AM - Médéric RIBREUX

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 15007

Description

When you use "Save as Image" dialog to export your map as an image file, text annotations are not incorporated in the export file.

I tried many different file formats (tif/jpg/png) with no change at all. The bug is still here even if you have saved your project (annotations

are saved in the project file).

I provide two files for this bug report:

- first is a screen cap of the map with text annotations

- second is an export file where you can see that there is no annotation at all.

Cheers !

History

#1 - 2012-04-04 02:51 AM - Médéric RIBREUX

- File bug_5301_screen_cap.png added

- File bug_5301.png added

#2 - 2012-04-04 03:23 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Target version changed from 35 to Version 2.0.0

#3 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2012-10-24 08:28 AM - marisn -

Just "me too" comment, as I just had :( moment when realized that I need to use some other tools to get simple "drive here" type pictures.

#5 - 2013-08-09 04:34 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

is fixed at least in qgis 2.0

#6 - 2014-10-26 06:48 AM - marisn -

- Resolution deleted (fixed)

Giovanni Manghi wrote:
is fixed at least in qgis 2.0

A pointer to specific revision with the fix is missing.

#7 - 2014-10-26 06:53 AM - marisn -

- Resolution set to fixed/implemented

marisn - wrote:

Giovanni Manghi wrote:

is fixed at least in qgis 2.0

A pointer to specific revision with the fix is missing.

Sorry for accidentally removing "fixed" resolution - seems that now it is called "fixed/implemented" thus even an innocent comment would alter the state of

bug and preview is skipping changed properties (yeah, this missing feature in Redmine compared to Trac sucks). Setting back to "fixed/implemented",

although I am not certain if it is so.

#8 - 2016-05-18 02:40 AM - Arnaud Morvan

This feature has been added by https://github.com/qgis/QGIS/pull/3059

#9 - 2016-05-19 02:13 AM - Médéric RIBREUX

Well, thank you very much for fixing this...

It is always very nive when old bugs are fixed. Thanks for the work and the bug tracking !

Files

bug_5301_screen_cap.png 306 KB 2012-04-04 Médéric RIBREUX

bug_5301.png 282 KB 2012-04-04 Médéric RIBREUX
https://github.com/qgis/QGIS/pull/3059

